%global debug_package %{nil}

%global commit      e5734c48df7bb1948657b2687488ca63cca9aafc
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:       atomic
Version:    0
Release:    0.10.git%{shortcommit}%{?dist}
Summary:    Tool for managing ProjectAtomic systems and containers
License:    LGPLv2+
URL:        https://github.com/projectatomic/atomic
ExclusiveArch:  x86_64 %{arm}
Source0:    https://github.com/projectatomic/%{name}/archive/%{commit}.tar.gz
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tools
BuildRequires:  python-requests
BuildRequires:  go-md2man
BuildRequires:  docker
Requires:   docker
Requires:   python-requests
Requires:   python-docker-py
Requires:   python-websocket-client >= 0.11.0
Requires:   python-six >= 1.3.0
%if 0%{?fedora}
BuildRequires:  pylint
%endif

%description
The goal of Atomic is to provide a high level, coherent entrypoint to the
system, and fill in gaps.

For Docker, atomic can make it easier to interact with special kinds of
containers, such as super-privileged debugging tools and the like.

The atomic host subcommand wraps rpm-ostree, currently just providing a
friendlier name, but in the future Atomic may provide more unified
management.

%prep
%setup -qn %{name}-%{commit}
%if 0%{?rhel}
sed -i '/pylint/d' Makefile
%endif

%build
make all

%install
make install DESTDIR=%{buildroot}

%check
[ ! -e /run/docker.sock ] || make test

%files
%doc COPYING README.md
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{python_sitelib}/%{name}*.egg-info
%{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}*

%changelog
* Wed Apr 15 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.10.gite5734c4
- update to latest upstream master

* Tue Mar 03 2015 Colin Walters <walters@redhat.com> - 0-0.9.gita7ff4cb
- Match ExclusiveArch with docker (there is no docker on i686)

* Mon Mar 02 2015 Colin Walters <walters@redhat.com> - 0-0.8.gita7ff4cb
- Drop ExclusiveArch, we are just a wrapper for Docker, which in any
  case builds on other architectures now.

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.7.gita7ff4cb
- remove pylint for rhel/centos

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.6.gita7ff4cb
- runtime requirement: python-docker-py

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.5.gita7ff4cb
- build commit#a7ff4cb

* Fri Feb 20 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.4.gitf7f6fa8
- Resolves: rhbz#1194058 - approved version, ready for upload
- change license to LGPLv2+

* Thu Feb 19 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.3.gite4081c9
- manpage installation rules upstreamed

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6b82cb7
- install docs

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.git6b82cb7
- Initial package
